Get Company Details
curl --request GET \
--url https://api.rangler.co/v1/companies/{company_id}/details \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/companies/{company_id}/details"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/companies/{company_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"name": "<string>",
"asset_type": "company",
"is_public": true,
"exchange": "<string>",
"country_code": "NG",
"board": "<string>",
"sector": "<string>",
"year_end": "<string>",
"incorporated_on": "2023-12-25",
"listed_on": "2023-12-25",
"website": "<string>",
"email": "<string>",
"phone": "<string>",
"registered_office": "<string>",
"registrar": {
"name": "<string>",
"website": "<string>"
},
"auditor": {
"name": "<string>"
},
"company_secretary": "<string>",
"employee_count": 123,
"share_info": {
"shares_outstanding": 123,
"free_float": 123,
"last_price": 123,
"last_price_currency": "<string>",
"market_cap_usd_m": 123,
"market_cap_value": 123,
"market_cap_currency": "<string>",
"market_cap_display": "<string>",
"snapshot_date": "2023-12-25"
},
"officers": [
{
"role": "<string>",
"name": "<string>"
}
],
"links": {
"company_profile_page": "<string>"
},
"documents": [
{
"type": "<string>",
"format": "<string>",
"url": "<string>",
"title": "<string>",
"as_of_date": "2023-12-25",
"published_at": "2023-11-07T05:31:56Z"
}
],
"fund": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"slug": "<string>",
"name": "<string>",
"ticker": "<string>",
"category": "<string>",
"base_currency": "<string>"
},
"summary": "<string>",
"last_fetched_at": "2023-11-07T05:31:56Z",
"source": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Companies
Get Company Details
GET
/
v1
/
companies
/
{company_id}
/
details
Get Company Details
curl --request GET \
--url https://api.rangler.co/v1/companies/{company_id}/details \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/companies/{company_id}/details"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/companies/{company_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "<string>",
"name": "<string>",
"asset_type": "company",
"is_public": true,
"exchange": "<string>",
"country_code": "NG",
"board": "<string>",
"sector": "<string>",
"year_end": "<string>",
"incorporated_on": "2023-12-25",
"listed_on": "2023-12-25",
"website": "<string>",
"email": "<string>",
"phone": "<string>",
"registered_office": "<string>",
"registrar": {
"name": "<string>",
"website": "<string>"
},
"auditor": {
"name": "<string>"
},
"company_secretary": "<string>",
"employee_count": 123,
"share_info": {
"shares_outstanding": 123,
"free_float": 123,
"last_price": 123,
"last_price_currency": "<string>",
"market_cap_usd_m": 123,
"market_cap_value": 123,
"market_cap_currency": "<string>",
"market_cap_display": "<string>",
"snapshot_date": "2023-12-25"
},
"officers": [
{
"role": "<string>",
"name": "<string>"
}
],
"links": {
"company_profile_page": "<string>"
},
"documents": [
{
"type": "<string>",
"format": "<string>",
"url": "<string>",
"title": "<string>",
"as_of_date": "2023-12-25",
"published_at": "2023-11-07T05:31:56Z"
}
],
"fund": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"slug": "<string>",
"name": "<string>",
"ticker": "<string>",
"category": "<string>",
"base_currency": "<string>"
},
"summary": "<string>",
"last_fetched_at": "2023-11-07T05:31:56Z",
"source": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Path Parameters
Response
Successful Response
Available options:
company, fund Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes